aboutsummaryrefslogtreecommitdiff
path: root/tests/fmt.sh
diff options
context:
space:
mode:
authorKevin Amado <kamadorueda@gmail.com>2022-03-11 08:57:28 -0500
committerKevin Amado <kamadorueda@gmail.com>2022-03-11 10:00:19 -0500
commit2191dab65726012b057402e13132dd7a062d8440 (patch)
treea4bc1050eadf249d94009be6c493a27f37800572 /tests/fmt.sh
parentaee56e0f895e7b9890d1ec948b24c75478f9e88e (diff)
nix-fmt: add command
Diffstat (limited to 'tests/fmt.sh')
-rw-r--r--tests/fmt.sh28
1 files changed, 28 insertions, 0 deletions
diff --git a/tests/fmt.sh b/tests/fmt.sh
new file mode 100644
index 000000000..7df1c82d3
--- /dev/null
+++ b/tests/fmt.sh
@@ -0,0 +1,28 @@
+source common.sh
+
+set -o pipefail
+
+clearStore
+rm -rf $TEST_HOME/.cache $TEST_HOME/.config $TEST_HOME/.local
+
+cp ./simple.nix ./simple.builder.sh ./fmt.simple.sh ./config.nix $TEST_HOME
+
+cd $TEST_HOME
+
+nix fmt --help | grep "Format"
+
+cat << EOF > flake.nix
+{
+ outputs = _: {
+ formatter.$system = {
+ type = "app";
+ program = ./fmt.simple.sh;
+ };
+ };
+}
+EOF
+nix fmt ./file ./folder | grep 'Formatting: ./file ./folder'
+nix flake check
+nix flake show | grep -P 'x86_64-linux|x86_64-darwin'
+
+clearStore